import express from 'express';
import { deleteUser, getAllProfiles, getProfile, login, signup, updateUser } from '../controllers/userController.js';


const router=express.Router();

router.post("/register",signup);
router.post("/login",login);
router.get("/profiles",getAllProfiles)
router.get("/profile/:id",getProfile);
router.put("/updateUser/:id",updateUser);
router.delete("/deleteUser/:id",deleteUser)

export default router;